﻿/**
* Updated: Jan 20 2026
* Author: Sunvex Solar Pvt. Ltd.
*/

body {
    background-image: url(/Branch/app-assets/Images/login-bg.png) !important;
    background-repeat: no-repeat;
    background-size: cover;
    font-family: Montserrat, Helvetica, Arial, serif !important;
}

    body::selection {
        background-color: #45ba4c;
        color: #fff;
    }

/*main {
    background-color: #ffffff38 !important;
}*/

img {
    user-select: none;
    -webkit-user-drag: none;
    -webkit-touch-callout: none;
    pointer-events: none;
    outline: none !important;
    box-shadow: none !important;
}

.svx-logo {
    user-select: none;
    -webkit-user-drag: none;
    pointer-events: none;
    outline: none !important;
    box-shadow: none !important;
}

.input-validation-error {
    border: 1px solid red !important;
}

/* Optional: success state */
.valid {
    border: 1px solid #28a745 !important;
}


.focus-none:focus,
.focus-none:active,
.focus-none:focus-visible {
    outline: none !important;
    box-shadow: none !important;
}

.material-icons-round {
    user-select: none;
}

.toggle-password.pulse {
    animation: pulseAnim 0.2s ease;
}

@keyframes pulseAnim {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.15);
    }

    100% {
        transform: scale(1);
    }
}

.is-invalid {
    border-color: rgb(220 53 69) !important;
}

.is-valid {
    border-color: #146c43 !important;
}